Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.hibernate
Class HQLQueryProvider

    java.lang.Object
      org.makumba.providers.QueryProvider
          org.makumba.db.hibernate.HQLQueryProvider

All Implemented Interfaces:
  SingletonHolder

    public class HQLQueryProvider

extends QueryProvider

Field Summary
`(package private) static Pointer` | `address`
`(package private) static Pointer` | `brother`
`(package private) static String` | `HQLQUERY_ANALYSIS_PROVIDER`
`(package private) static String[][]` | `languageData`
`(package private) static ArrayList<Pointer>` | `languages`
`(package private) static Dictionary` | `pc`
`(package private) static Pointer` | `person`
`(package private) static String` | `readPerson`
`(package private) static Vector` | `v`

Constructor Summary
`HQLQueryProvider()`

Method Summary
`void` | `close()` Closes the environment, when all queries were executed
`Vector<Dictionary<String,Object>>` | `executeRaw(String query, Map args, int offset, int limit)` Executes a query with a given set of parameters
`protected String` | `getQueryAnalysisProviderClass()`
`protected void` | `init(String db, Attributes a)` Initalises the provider with the datasource
`static void` | `main(String[] args)` Method for testing the query runner outside a JSP
`static String` | `printQueryResults(Vector v)`

Methods inherited from class org.makumba.providers.QueryProvider
`execute, getDataSource, getQueryAnalzyer, makeQueryRunner, makeQueryRunner, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HQLQUERY_ANALYSIS_PROVIDER

    static final String HQLQUERY_ANALYSIS_PROVIDER

See Also:
  Constant Field Values

### person

    static Pointer person

### brother

    static Pointer brother

### address

    static Pointer address

### pc

    static Dictionary pc

### v

    static Vector v

### readPerson

    static String readPerson

### languages

    static ArrayList<Pointer> languages

### languageData

    static String[][] languageData

Constructor Detail

### HQLQueryProvider

    public HQLQueryProvider()

Method Detail

### getQueryAnalysisProviderClass

    protected String getQueryAnalysisProviderClass()

  Overrides:
    `getQueryAnalysisProviderClass` in class `QueryProvider`

### init

    protected void init(String db,
                        Attributes a)

  Description copied from class: `QueryProvider`
  Initalises the provider with the datasource

  Overrides:
    `init` in class `QueryProvider`
  Parameters:
    `db` - the source on which the query should be run

### executeRaw

    public Vector<Dictionary<String,Object>> executeRaw(String query,
                                                        Map args,
                                                        int offset,
                                                        int limit)

  Description copied from class: `QueryProvider`
  Executes a query with a given set of parameters

  Specified by:
    `executeRaw` in class `QueryProvider`
  Parameters:
    `query` - the query to execute
    `args` - the arguments of this query
    `offset` - from which record should results be returned
    `limit` - until which record should results be returned
  Returns:
    a Vector holding Dictionaries corresponding to a result

### close

    public void close()

  Description copied from class: `QueryProvider`
  Closes the environment, when all queries were executed

  Specified by:
    `close` in class `QueryProvider`

### printQueryResults

    public static String printQueryResults(Vector v)

### main

    public static void main(String[] args)
                     throws LogicException

  Method for testing the query runner outside a JSP

  Throws:
    `LogicException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20